[tool.poetry]
name = "kaspersky-xdr-ideco-integration"
packages = [{include = "kaspersky_xdr_ideco_integration"}]
version = "1.0"
description = "Kaspersky XDR integration with Ideco NGFW"
authors = ["Anton Solovey <anton.solovey@kaspersky.com>"]
license = "Apache-2.0"
readme = "README.md"
include = ["../assets/*"]

[tool.poetry.dependencies]
python = "^3.12"
httpx = "0.26.0"
python-dotenv = "1.0.0"


[tool.poetry.group.test.dependencies]
pytest = "^7.4.3"

[build-system]
requires = ["poetry-core"]
build-backend = "poetry.core.masonry.api"
